Subject: Bug#1232: [X2Go-Dev] Bug#1232: DPI / scaling on different client hosts

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 24 Nov 2017 20:50:11 +0100

On Fri, Nov 17, 2017 at 11:36 AM, Daniel Pocock <[email-masked]> wrote:
> Package: x2goclient
> Version: 4.0.5.2-2
>
> I've been using the x2goclient on different machines:
>
> - a laptop with 14" FHD display (157 DPI)
>
> - a desktop with 32" UHD / 4k resolution (137 DPI)
>
> On the desktop, I find the fonts are a bit small, it would be nicer if
> the window would zoom to be at least 133% of the original size, maybe more.
>
> I looked at the session preferences and found the option "Set Display
> DPI" option, it is currently set to 96.  I tried changing it to 137 and
> reconnected to the existing session and it looked the same.  What effect
> should this setting have and would it help in my situation?

Changing DPI does not have an effect for existing windows. It even
does not have an effect on all new windows (e.g. konsole will respect
the current setting, xterm won't). You can test that yourself (leaving
out x2go completely) by running xrandr --dpi <num> on your local
desktop (check the current setting with xdpyinfo | grep dot).

A dpi setting that fits for one client might be wrong for another one.
If you start a session on one of your machines and reconnect with the
other, I am not aware of a good way to make it appear "correct" on
both.

Specifying the dpi in x2go sets a fixed dpi for _new_ sessions which
cannot be changed afterwards, so you are out of options here.

Uli